> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1businesses expense reports recall



## OpenAPI

````yaml /api-reference/openapi.json post /v1/businesses/{businessId}/expense-reports/{reportId}/recall
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/businesses/{businessId}/expense-reports/{reportId}/recall:
    post:
      tags:
        - ExpenseReports
      parameters:
        - name: businessId
          in: path
          required: true
          schema:
            type: integer
            format: int64
        - name: reportId
          in: path
          required: true
          schema:
            type: integer
            format: int64
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ExpenseReportsExpenseReportRecallRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/ExpenseReportsExpenseReportRecallRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/ExpenseReportsExpenseReportRecallRequest'
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ExpenseReportsExpenseReportResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ExpenseReportsExpenseReportResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ExpenseReportsExpenseReportResponse'
        '400':
          description: Bad Request
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
        '401':
          description: Unauthorized
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
        '403':
          description: Forbidden
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
        '404':
          description: Not Found
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
components:
  schemas:
    ExpenseReportsExpenseReportRecallRequest:
      type: object
      properties:
        reason:
          type: string
          nullable: true
      additionalProperties: false
    ExpenseReportsExpenseReportResponse:
      type: object
      properties:
        id:
          type: integer
          format: int64
        reportNumber:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        businessPurpose:
          type: string
          nullable: true
        status:
          $ref: '#/components/schemas/ModelsExpenseReportsSBExpenseReportStatus'
        paymentStatus:
          $ref: >-
            #/components/schemas/ModelsExpenseReportsSBExpenseReportPaymentStatus
        total:
          $ref: '#/components/schemas/DTOMoney'
        approved:
          $ref: '#/components/schemas/DTOMoney'
        reimbursed:
          $ref: '#/components/schemas/DTOMoney'
        totalAmount:
          type: number
          format: double
          readOnly: true
        currency:
          type: string
          nullable: true
          readOnly: true
        approvedAmount:
          type: number
          format: double
          readOnly: true
        reimbursedAmount:
          type: number
          format: double
          readOnly: true
        startDate:
          type: string
          format: date-time
          nullable: true
        endDate:
          type: string
          format: date-time
          nullable: true
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
          nullable: true
        submittedAt:
          type: string
          format: date-time
          nullable: true
        reimbursedAt:
          type: string
          format: date-time
          nullable: true
        plannedReimbursementDate:
          type: string
          format: date-time
          nullable: true
        business:
          $ref: '#/components/schemas/TransactionsSBTransactionBusinessResponse'
        employee:
          $ref: '#/components/schemas/BusinessEmployeesEmployeeSummaryResponse'
        submittedByEmployee:
          $ref: '#/components/schemas/BusinessEmployeesEmployeeSummaryResponse'
        delegateEmployee:
          $ref: '#/components/schemas/BusinessEmployeesEmployeeSummaryResponse'
        createdByEmployee:
          $ref: '#/components/schemas/BusinessEmployeesEmployeeSummaryResponse'
        expenseCount:
          type: integer
          format: int32
        commentsCount:
          type: integer
          format: int32
        reimbursementCount:
          type: integer
          format: int32
      additionalProperties: false
    MicrosoftAspNetCoreMvcProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    ModelsExpenseReportsSBExpenseReportStatus:
      enum:
        - DRAFT
        - SUBMITTED
        - UNDER_REVIEW
        - APPROVED
        - REJECTED
        - REIMBURSED
        - CANCELLED
        - REIMBURSEMENT_PLANNED
        - REQUIRES_CHANGES
        - PARTIALLY_APPROVED
        - PARTIALLY_REIMBURSED
      type: string
    ModelsExpenseReportsSBExpenseReportPaymentStatus:
      enum:
        - NOT_PAID
        - PENDING
        - PROCESSING
        - PAID
        - PARTIALLY_PAID
        - FAILED
        - CANCELLED
      type: string
    DTOMoney:
      type: object
      properties:
        amount:
          type: number
          format: double
        currency:
          type: string
          nullable: true
        conversion:
          $ref: '#/components/schemas/DTOMoneyConversion'
      additionalProperties: false
    TransactionsSBTransactionBusinessResponse:
      type: object
      properties:
        id:
          type: integer
          format: int64
        name:
          type: string
          nullable: true
        slug:
          type: string
          nullable: true
        customerEmail:
          type: string
          nullable: true
        phoneNumber:
          type: string
          nullable: true
        website:
          type: string
          nullable: true
        address:
          $ref: '#/components/schemas/DTOAddress'
        logo:
          type: string
          nullable: true
      additionalProperties: false
    BusinessEmployeesEmployeeSummaryResponse:
      type: object
      properties:
        id:
          type: integer
          format: int64
        firstName:
          type: string
          nullable: true
        lastName:
          type: string
          nullable: true
        name:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
        avatar:
          type: string
          nullable: true
      additionalProperties: false
    DTOMoneyConversion:
      type: object
      properties:
        originalAmount:
          type: number
          format: double
        originalCurrency:
          type: string
          nullable: true
        exchangeRate:
          type: number
          format: double
        convertedAt:
          type: string
          format: date-time
      additionalProperties: false
    DTOAddress:
      type: object
      properties:
        line1:
          type: string
          nullable: true
        line2:
          type: string
          nullable: true
        city:
          type: string
          nullable: true
        state:
          type: string
          nullable: true
        stateCode:
          type: string
          nullable: true
        country:
          type: string
          nullable: true
        countryCode:
          type: string
          nullable: true
        postalCode:
          type: string
          nullable: true
        location:
          $ref: '#/components/schemas/AddressesCoordinates'
        googlePlaceId:
          type: string
          nullable: true
        formattedAddress:
          type: string
          nullable: true
      additionalProperties: false
    AddressesCoordinates:
      type: object
      properties:
        longitude:
          type: number
          format: double
        latitude:
          type: number
          format: double
      additionalProperties: false

````